# Landing Page

The first step to building your menu is creating a landing page. While you have a great amount of latitude in deciding how to do this, you will most likely want to show one or more lists of products. Some examples would be bestselling products, or all products from a popular category such as flowers or edibles.

To do this, you will need to query the **menu-products-demo** index (for the demo site). There are also a number of replica indices that are pre-sorted by attributes such as price, rating, and potency.&#x20;

Here is an example Algolia query that will enable you to pull all products for a store in the "flower" category.

```javascript
const productsIndex = searchClient.initIndex('menu-products-demo');
productsIndex.search('', { filters: 'store_id:5 AND kind:flower' }).then((results) => { 
  // Your code here 
});
```

[Click](https://replit.com/@DanaLevine1/Query-For-Flowers#index.js) to run this in a sandbox

And here is a query that will enable you to pull the bestselling products, sorted by price. Note that we are using the replica index that is sorted by price. For more information on the available replica indices, see our [Algolia Reference](/jane-docs/apis/algolia-reference.md).

```javascript
const productsIndex = searchClient.initIndex('menu-products-by-price-demo');
productsIndex.search('', { filters: 'store_id:4 AND root_types:best_selling' })
  .then((results) => { 
  // Your code here 
});
```

[Click](https://replit.com/@DanaLevine1/Bestselling-Products) to run this in a sandbox

For more information on how to implement search and filter your results, see the next section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iheartjane.com/jane-docs/implementing-roots/building-your-menu/using-other-technologies/landing-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
